GNU bug report logs - #30299
shepherd fails tests on all systems except x86_64

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: serious; Reported by: Mark H Weaver <mhw@HIDDEN>; dated Wed, 31 Jan 2018 03:09:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 30299 <at> debbugs.gnu.org:


Received: (at 30299) by debbugs.gnu.org; 24 Feb 2018 23:00:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 24 18:00:39 2018
Received: from localhost ([127.0.0.1]:59164 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1epio2-00019S-TD
	for submit <at> debbugs.gnu.org; Sat, 24 Feb 2018 18:00:39 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:36840)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas@HIDDEN>) id 1epio0-00017q-IK
 for 30299 <at> debbugs.gnu.org; Sat, 24 Feb 2018 18:00:38 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 08C1610E92;
 Sun, 25 Feb 2018 00:00:36 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 08IlLXZTn01b; Sun, 25 Feb 2018 00:00:35 +0100 (CET)
Received: from jurong (unknown [IPv6:2001:910:103f::c1e])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 4A8A910E8B;
 Sun, 25 Feb 2018 00:00:35 +0100 (CET)
Date: Sun, 25 Feb 2018 00:00:33 +0100
From: Andreas Enge <andreas@HIDDEN>
To: Ludovic =?iso-8859-15?Q?Court=E8s?= <ludo@HIDDEN>
Subject: Re: bug#30299: [core-updates] shepherd fails tests on all systems
 except x86_64
Message-ID: <20180224230033.GA10795@jurong>
References: <87zi4uvi88.fsf@HIDDEN> <87k1vsfk1u.fsf@HIDDEN>
 <87sha4osus.fsf@HIDDEN> <87a7wam53e.fsf@HIDDEN>
 <87inawlbwv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87inawlbwv.fsf@HIDDEN>
User-Agent: Mutt/1.9.3 (2018-01-21)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30299
Cc: 30299 <at> debbugs.gnu.org, Mark H Weaver <mhw@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello,

I changed the severity to "serious", since this bug prevents installing
GuixSD on arm, or creating an installation image. Also, it is now present
on master instead of core-updates.

Andreas





Information forwarded to bug-guix@HIDDEN:
bug#30299; Package guix. Full text available.
Severity set to 'serious' from 'important' Request was from Andreas Enge <andreas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'shepherd fails tests on all systems except x86_64' from '[core-updates] shepherd fails tests on all systems except x86_64' Request was from Andreas Enge <andreas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 30299 <at> debbugs.gnu.org:


Received: (at 30299) by debbugs.gnu.org; 17 Feb 2018 00:04:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 16 19:04:09 2018
Received: from localhost ([127.0.0.1]:47331 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1empz3-0003xD-Jr
	for submit <at> debbugs.gnu.org; Fri, 16 Feb 2018 19:04:09 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:38316)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1empz1-0003x4-5D
 for 30299 <at> debbugs.gnu.org; Fri, 16 Feb 2018 19:04:03 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id EC7E21095F;
 Sat, 17 Feb 2018 01:04:01 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id c2PqSOOPDsR1; Sat, 17 Feb 2018 01:04:01 +0100 (CET)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 049EED9AD;
 Sat, 17 Feb 2018 01:04:00 +0100 (CET)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#30299: [core-updates] shepherd fails tests on all systems
 except x86_64
References: <87zi4uvi88.fsf@HIDDEN> <87k1vsfk1u.fsf@HIDDEN>
 <87sha4osus.fsf@HIDDEN> <87a7wam53e.fsf@HIDDEN>
Date: Sat, 17 Feb 2018 01:04:00 +0100
In-Reply-To: <87a7wam53e.fsf@HIDDEN> (Mark H. Weaver's message of "Thu, 15
 Feb 2018 14:21:25 -0500")
Message-ID: <87inawlbwv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 30299
Cc: 30299 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hello,

Mark H Weaver <mhw@HIDDEN> skribis:

> However, on armhf-linux, three tests failed: respawn.sh,
> respawn-throttling.sh, and pid-file.sh.
>
>   https://hydra.gnu.org/build/2499835

(Similar issue on aarch64:
<https://berlin.guixsd.org/build/2419870/log/raw>.  Though of course it
passed on the 2nd and 3rd attempts=E2=80=A6)

I was able to reproduce a tests/respawn.sh failure on hardware (ARMv7).
The issue is that a service is not respawned, and the log shows:

--8<---------------cut here---------------start------------->8---
+ assert_killed_service_is_respawned t-service2-pid-695
++ cat t-service2-pid-695
+ old_pid=3D789
+ rm t-service2-pid-695
+ kill 789
+ wait_for_file t-service2-pid-695
+ i=3D0
+ test -f t-service2-pid-695
+ test 0 -lt 20
+ sleep 0.3
++ expr 0 + 1

[...]

2018-02-16 11:13:31 Service root has been started.
2018-02-16 11:13:32 Service test1 has been started.
2018-02-16 11:13:34 Service test2 has been started.
2018-02-16 11:13:35 Respawning test1.
2018-02-16 11:13:35 Service test1 has been started.
2018-02-16 11:13:36 Respawning test2.
2018-02-16 11:13:37 Service test2 has been started.
2018-02-16 11:13:37 Respawning test1.
2018-02-16 11:13:37 Service test1 has been started.
2018-02-16 11:13:38 Respawning test2.
2018-02-16 11:13:43 Service test2 could not be started.
--8<---------------cut here---------------end--------------->8---

So SIGCHLD was correctly delivered, but somehow restarting that service
didn=E2=80=99t work (its PID file didn=E2=80=99t show up again; the 5 secon=
ds between
=E2=80=9CRespawning=E2=80=9D and =E2=80=9Ccould not be started=E2=80=9D cor=
respond to the delay in
=E2=80=98read-pid-file=E2=80=99 in (shepherd service)).=20=20

These test failures seem to be more frequent when the machine is loaded.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#30299; Package guix. Full text available.
Severity set to 'important' from 'normal' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 30299 <at> debbugs.gnu.org:


Received: (at 30299) by debbugs.gnu.org; 15 Feb 2018 21:26:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 15 16:26:09 2018
Received: from localhost ([127.0.0.1]:45168 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1emR2f-0007uZ-6L
	for submit <at> debbugs.gnu.org; Thu, 15 Feb 2018 16:26:09 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:58170)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1emR2c-0007uQ-Tl
 for 30299 <at> debbugs.gnu.org; Thu, 15 Feb 2018 16:26:07 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 77B80112AE;
 Thu, 15 Feb 2018 22:26:06 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id EJ-OQ5dW3rd3; Thu, 15 Feb 2018 22:26:04 +0100 (CET)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id E4FDB11062;
 Thu, 15 Feb 2018 22:26:03 +0100 (CET)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#30299: [core-updates] shepherd fails tests on all systems
 except x86_64
References: <87zi4uvi88.fsf@HIDDEN> <87k1vsfk1u.fsf@HIDDEN>
 <87sha4osus.fsf@HIDDEN> <87a7wam53e.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 27 =?utf-8?Q?Pluvi=C3=B4se?= an 226 de la
 =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 15 Feb 2018 22:26:02 +0100
In-Reply-To: <87a7wam53e.fsf@HIDDEN> (Mark H. Weaver's message of "Thu, 15
 Feb 2018 14:21:25 -0500")
Message-ID: <87o9kq6j2t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 30299
Cc: 30299 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hi Mark,

Mark H Weaver <mhw@HIDDEN> skribis:

> Mark H Weaver <mhw@HIDDEN> writes:

[...]

>>> This is a non-deterministic failure.  I could reproduce the
>>> tests/basic.sh one and it is fixed by this:
>>>
>>>   https://git.savannah.gnu.org/cgit/shepherd.git/commit/?id=3Dcc9564586=
729a5bb90dd5d2722b543fdde9ab821
>>
>> For now, I added your patch to the shepherd package in core-updates, in
>> commit f2d2ee42f168909f27c0c3b6532ef16febfd3b86.
>
> With your patch, Hydra built shepherd successfully on i686-linux on the
> first try, which is much better than the 19th try :)

We=E2=80=99re making progress.  :-)

> However, on armhf-linux, three tests failed: respawn.sh,
> respawn-throttling.sh, and pid-file.sh.
>
>   https://hydra.gnu.org/build/2499835

I=E2=80=99ll try to reproduce the failure here.

> We should probably arrange for test-suite.log to be printed when "make
> check" fails.  We could add this functionality to selected packages like
> shepherd and guix the next time we update them, and maybe consider
> adding something generic to gnu-build-system's check phase in the next
> core-updates cycle.  What do you think?

Definitely.  We discussed it before and I think it=E2=80=99s a good idea.  I
wanted to add it to =E2=80=98guix=E2=80=99 as a starting point but never go=
t around to
doing it.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#30299; Package guix. Full text available.

Message received at 30299 <at> debbugs.gnu.org:


Received: (at 30299) by debbugs.gnu.org; 15 Feb 2018 19:22:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 15 14:22:21 2018
Received: from localhost ([127.0.0.1]:45125 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1emP6k-00054z-Ri
	for submit <at> debbugs.gnu.org; Thu, 15 Feb 2018 14:22:21 -0500
Received: from world.peace.net ([50.252.239.5]:34892)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1emP6a-00054O-VW
 for 30299 <at> debbugs.gnu.org; Thu, 15 Feb 2018 14:22:14 -0500
Received: from pool-72-93-27-190.bstnma.east.verizon.net ([72.93.27.190]
 helo=jojen)
 by world.peace.net with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <mhw@HIDDEN>)
 id 1emP6U-0008J2-Ks; Thu, 15 Feb 2018 14:21:58 -0500
From: Mark H Weaver <mhw@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: Re: bug#30299: [core-updates] shepherd fails tests on all systems
 except x86_64
References: <87zi4uvi88.fsf@HIDDEN> <87k1vsfk1u.fsf@HIDDEN>
 <87sha4osus.fsf@HIDDEN>
Date: Thu, 15 Feb 2018 14:21:25 -0500
In-Reply-To: <87sha4osus.fsf@HIDDEN> (Mark H. Weaver's message of "Wed, 14
 Feb 2018 03:52:59 -0500")
Message-ID: <87a7wam53e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 30299
Cc: 30299 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Hi Ludovic,

Mark H Weaver <mhw@HIDDEN> writes:

> ludo@HIDDEN (Ludovic Court=C3=A8s) writes:
>
>> Mark H Weaver <mhw@HIDDEN> skribis:
>>
>>> On core-updates, Hydra has been unable to successfully build 'shepherd'
>>> on any system except x86_64-linux.  I can also report that on my
>>> mips64el-linux GuixSD system, which is running something close to
>>> 'core-updates', I had to disable tests on shepherd in order to build it.
>>> I don't know about aarch64-linux.
>>>
>>> These are the tests that commonly fail:
>>>
>>>   FAIL: tests/respawn.sh
>>>   FAIL: tests/respawn-throttling.sh
>>>   FAIL: tests/basic.sh
>>
>> This is a non-deterministic failure.  I could reproduce the
>> tests/basic.sh one and it is fixed by this:
>>
>>   https://git.savannah.gnu.org/cgit/shepherd.git/commit/?id=3Dcc95645867=
29a5bb90dd5d2722b543fdde9ab821
>
> For now, I added your patch to the shepherd package in core-updates, in
> commit f2d2ee42f168909f27c0c3b6532ef16febfd3b86.

With your patch, Hydra built shepherd successfully on i686-linux on the
first try, which is much better than the 19th try :)

However, on armhf-linux, three tests failed: respawn.sh,
respawn-throttling.sh, and pid-file.sh.

  https://hydra.gnu.org/build/2499835

We should probably arrange for test-suite.log to be printed when "make
check" fails.  We could add this functionality to selected packages like
shepherd and guix the next time we update them, and maybe consider
adding something generic to gnu-build-system's check phase in the next
core-updates cycle.  What do you think?

      Mark

--8<---------------cut here---------------start------------->8---
starting phase `check'
make  check-am
make[1]: Entering directory '/tmp/guix-build-shepherd-0.3.2.drv-0/shepherd-=
0.3.2'
make  check-TESTS
make[2]: Entering directory '/tmp/guix-build-shepherd-0.3.2.drv-0/shepherd-=
0.3.2'
make[3]: Entering directory '/tmp/guix-build-shepherd-0.3.2.drv-0/shepherd-=
0.3.2'
PASS: tests/misbehaved-client.sh
FAIL: tests/respawn.sh
PASS: tests/no-home.sh
FAIL: tests/pid-file.sh
PASS: tests/status-sexp.sh
PASS: tests/sigint.sh
PASS: tests/basic.sh
FAIL: tests/respawn-throttling.sh
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D
Testsuite summary for GNU Shepherd 0.3.2
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D
# TOTAL: 8
# PASS:  5
# SKIP:  0
# XFAIL: 0
# FAIL:  3
# XPASS: 0
# ERROR: 0
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D
See ./test-suite.log
Please report to bug-guix@HIDDEN
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D
make[3]: *** [Makefile:1220: test-suite.log] Error 1
make[3]: Leaving directory '/tmp/guix-build-shepherd-0.3.2.drv-0/shepherd-0=
.3.2'
make[2]: *** [Makefile:1328: check-TESTS] Error 2
make[2]: Leaving directory '/tmp/guix-build-shepherd-0.3.2.drv-0/shepherd-0=
.3.2'
make[1]: *** [Makefile:1527: check-am] Error 2
make[1]: Leaving directory '/tmp/guix-build-shepherd-0.3.2.drv-0/shepherd-0=
.3.2'
make: *** [Makefile:1529: check] Error 2
phase `check' failed after 29.6 seconds
builder for `/gnu/store/sk0l3ll4x1ddn9zwxmfqjipr578hiqx1-shepherd-0.3.2.drv=
' failed with exit code 1
@ build-failed /gnu/store/sk0l3ll4x1ddn9zwxmfqjipr578hiqx1-shepherd-0.3.2.d=
rv - 1 builder for `/gnu/store/sk0l3ll4x1ddn9zwxmfqjipr578hiqx1-shepherd-0.=
3.2.drv' failed with exit code 1
--8<---------------cut here---------------end--------------->8---




Information forwarded to bug-guix@HIDDEN:
bug#30299; Package guix. Full text available.

Message received at 30299 <at> debbugs.gnu.org:


Received: (at 30299) by debbugs.gnu.org; 14 Feb 2018 13:00:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 14 08:00:27 2018
Received: from localhost ([127.0.0.1]:42223 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1elwfj-0004H6-4J
	for submit <at> debbugs.gnu.org; Wed, 14 Feb 2018 08:00:27 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:47600)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1elwff-0004Gw-Ly
 for 30299 <at> debbugs.gnu.org; Wed, 14 Feb 2018 08:00:25 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 6C60A114CB;
 Wed, 14 Feb 2018 14:00:22 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id s78ziKqaTLfR; Wed, 14 Feb 2018 14:00:18 +0100 (CET)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 6F8F911329;
 Wed, 14 Feb 2018 14:00:18 +0100 (CET)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#30299: [core-updates] shepherd fails tests on all systems
 except x86_64
References: <87zi4uvi88.fsf@HIDDEN> <87k1vsfk1u.fsf@HIDDEN>
 <87sha4osus.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 26 =?utf-8?Q?Pluvi=C3=B4se?= an 226 de la
 =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 14 Feb 2018 14:00:18 +0100
In-Reply-To: <87sha4osus.fsf@HIDDEN> (Mark H. Weaver's message of "Wed, 14
 Feb 2018 03:52:59 -0500")
Message-ID: <873723vi8t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 30299
Cc: 30299 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Mark H Weaver <mhw@HIDDEN> skribis:

> ludo@HIDDEN (Ludovic Court=C3=A8s) writes:
>
>> Mark H Weaver <mhw@HIDDEN> skribis:
>>
>>> On core-updates, Hydra has been unable to successfully build 'shepherd'
>>> on any system except x86_64-linux.  I can also report that on my
>>> mips64el-linux GuixSD system, which is running something close to
>>> 'core-updates', I had to disable tests on shepherd in order to build it.
>>> I don't know about aarch64-linux.
>>>
>>> These are the tests that commonly fail:
>>>
>>>   FAIL: tests/respawn.sh
>>>   FAIL: tests/respawn-throttling.sh
>>>   FAIL: tests/basic.sh
>>
>> This is a non-deterministic failure.  I could reproduce the
>> tests/basic.sh one and it is fixed by this:
>>
>>   https://git.savannah.gnu.org/cgit/shepherd.git/commit/?id=3Dcc95645867=
29a5bb90dd5d2722b543fdde9ab821
>
> Thank you!
>
>> I=E2=80=99ll roll a new Shepherd release soon and update the package.
>
> For now, I added your patch to the shepherd package in core-updates, in
> commit f2d2ee42f168909f27c0c3b6532ef16febfd3b86.

Thanks, and sorry for not acting earlier!  (I was waiting for a reply
from the Translation Project to make the new release, but that hasn=E2=80=
=99t
happened yet.)

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#30299; Package guix. Full text available.

Message received at 30299 <at> debbugs.gnu.org:


Received: (at 30299) by debbugs.gnu.org; 14 Feb 2018 09:17:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 14 04:17:33 2018
Received: from localhost ([127.0.0.1]:42146 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eltBz-0005k7-ND
	for submit <at> debbugs.gnu.org; Wed, 14 Feb 2018 04:17:32 -0500
Received: from world.peace.net ([50.252.239.5]:56664)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1eltBy-0005jv-2v
 for 30299 <at> debbugs.gnu.org; Wed, 14 Feb 2018 04:17:30 -0500
Received: from pool-72-93-28-59.bstnma.east.verizon.net ([72.93.28.59]
 helo=jojen)
 by world.peace.net with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <mhw@HIDDEN>)
 id 1eltBs-0002q4-Bk; Wed, 14 Feb 2018 04:17:24 -0500
From: Mark H Weaver <mhw@HIDDEN>
To: 30299 <at> debbugs.gnu.org
Subject: Re: bug#30299: [core-updates] shepherd fails tests on all systems
 except x86_64
References: <87zi4uvi88.fsf@HIDDEN>
Date: Wed, 14 Feb 2018 04:16:52 -0500
In-Reply-To: <87zi4uvi88.fsf@HIDDEN> (Mark H. Weaver's message of "Tue, 30
 Jan 2018 22:07:35 -0500")
Message-ID: <87efloorqz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 30299
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Mark H Weaver <mhw@HIDDEN> writes:

> On core-updates, Hydra has been unable to successfully build 'shepherd'
> on any system except x86_64-linux.  I can also report that on my
> mips64el-linux GuixSD system, which is running something close to
> 'core-updates', I had to disable tests on shepherd in order to build it.
> I don't know about aarch64-linux.
>
> These are the tests that commonly fail:
>
>   FAIL: tests/respawn.sh
>   FAIL: tests/respawn-throttling.sh
>   FAIL: tests/basic.sh

FYI, after 18 failed attempts, Hydra finally built shepherd on i686
successfully on the 19th try:

  https://hydra.gnu.org/build/2425454#tabs-buildsteps

Now that I've added Ludovic's patch, hopefully it will require fewer
attempts this time :)

       Mark




Information forwarded to bug-guix@HIDDEN:
bug#30299; Package guix. Full text available.

Message received at 30299 <at> debbugs.gnu.org:


Received: (at 30299) by debbugs.gnu.org; 14 Feb 2018 08:53:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 14 03:53:38 2018
Received: from localhost ([127.0.0.1]:42139 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1elsos-0005Cq-OV
	for submit <at> debbugs.gnu.org; Wed, 14 Feb 2018 03:53:38 -0500
Received: from world.peace.net ([50.252.239.5]:56652)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1elsor-0005Cc-54
 for 30299 <at> debbugs.gnu.org; Wed, 14 Feb 2018 03:53:37 -0500
Received: from pool-72-93-28-59.bstnma.east.verizon.net ([72.93.28.59]
 helo=jojen)
 by world.peace.net with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <mhw@HIDDEN>)
 id 1elsol-0002aK-79; Wed, 14 Feb 2018 03:53:31 -0500
From: Mark H Weaver <mhw@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: Re: bug#30299: [core-updates] shepherd fails tests on all systems
 except x86_64
References: <87zi4uvi88.fsf@HIDDEN> <87k1vsfk1u.fsf@HIDDEN>
Date: Wed, 14 Feb 2018 03:52:59 -0500
In-Reply-To: <87k1vsfk1u.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Sun, 04 Feb 2018 23:48:29 +0100")
Message-ID: <87sha4osus.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 30299
Cc: 30299 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

ludo@HIDDEN (Ludovic Court=C3=A8s) writes:

> Mark H Weaver <mhw@HIDDEN> skribis:
>
>> On core-updates, Hydra has been unable to successfully build 'shepherd'
>> on any system except x86_64-linux.  I can also report that on my
>> mips64el-linux GuixSD system, which is running something close to
>> 'core-updates', I had to disable tests on shepherd in order to build it.
>> I don't know about aarch64-linux.
>>
>> These are the tests that commonly fail:
>>
>>   FAIL: tests/respawn.sh
>>   FAIL: tests/respawn-throttling.sh
>>   FAIL: tests/basic.sh
>
> This is a non-deterministic failure.  I could reproduce the
> tests/basic.sh one and it is fixed by this:
>
>   https://git.savannah.gnu.org/cgit/shepherd.git/commit/?id=3Dcc956458672=
9a5bb90dd5d2722b543fdde9ab821

Thank you!

> I=E2=80=99ll roll a new Shepherd release soon and update the package.

For now, I added your patch to the shepherd package in core-updates, in
commit f2d2ee42f168909f27c0c3b6532ef16febfd3b86.

      Mark




Information forwarded to bug-guix@HIDDEN:
bug#30299; Package guix. Full text available.

Message received at 30299 <at> debbugs.gnu.org:


Received: (at 30299) by debbugs.gnu.org; 4 Feb 2018 22:48:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 04 17:48:36 2018
Received: from localhost ([127.0.0.1]:57454 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eiT5N-0004CB-5c
	for submit <at> debbugs.gnu.org; Sun, 04 Feb 2018 17:48:36 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:38132)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1eiT5M-0004C4-9X
 for 30299 <at> debbugs.gnu.org; Sun, 04 Feb 2018 17:48:32 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 2D2F8DABF;
 Sun,  4 Feb 2018 23:48:31 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 0c0jsOv6grBz; Sun,  4 Feb 2018 23:48:30 +0100 (CET)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:6a6c:dc17:fc02:cfda])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id CA9C2D9B9;
 Sun,  4 Feb 2018 23:48:29 +0100 (CET)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#30299: [core-updates] shepherd fails tests on all systems
 except x86_64
References: <87zi4uvi88.fsf@HIDDEN>
Date: Sun, 04 Feb 2018 23:48:29 +0100
In-Reply-To: <87zi4uvi88.fsf@HIDDEN> (Mark H. Weaver's message of "Tue, 30
 Jan 2018 22:07:35 -0500")
Message-ID: <87k1vsfk1u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 30299
Cc: 30299 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hello,

Mark H Weaver <mhw@HIDDEN> skribis:

> On core-updates, Hydra has been unable to successfully build 'shepherd'
> on any system except x86_64-linux.  I can also report that on my
> mips64el-linux GuixSD system, which is running something close to
> 'core-updates', I had to disable tests on shepherd in order to build it.
> I don't know about aarch64-linux.
>
> These are the tests that commonly fail:
>
>   FAIL: tests/respawn.sh
>   FAIL: tests/respawn-throttling.sh
>   FAIL: tests/basic.sh

This is a non-deterministic failure.  I could reproduce the
tests/basic.sh one and it is fixed by this:

  https://git.savannah.gnu.org/cgit/shepherd.git/commit/?id=3Dcc9564586729a=
5bb90dd5d2722b543fdde9ab821

I=E2=80=99ll roll a new Shepherd release soon and update the package.

The rest may be a duplicate of 23811, though I couldn=E2=80=99t reproduce i=
t.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#30299; Package guix. Full text available.

Message received at 30299 <at> debbugs.gnu.org:


Received: (at 30299) by debbugs.gnu.org; 3 Feb 2018 19:53:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 03 14:53:44 2018
Received: from localhost ([127.0.0.1]:55961 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ei3sd-000438-Ru
	for submit <at> debbugs.gnu.org; Sat, 03 Feb 2018 14:53:44 -0500
Received: from flashner.co.il ([178.62.234.194]:52360)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1ei3sb-00042u-G5
 for 30299 <at> debbugs.gnu.org; Sat, 03 Feb 2018 14:53:41 -0500
Received: from localhost (unknown [109.134.114.224])
 by flashner.co.il (Postfix) with ESMTPSA id B293340413;
 Sat,  3 Feb 2018 19:53:35 +0000 (UTC)
Date: Sat, 3 Feb 2018 21:53:35 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#30299: [core-updates] shepherd fails tests on all systems
 except x86_64
Message-ID: <20180203195335.GA1003@macbook41>
References: <87zi4uvi88.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="wRRV7LY7NUeQGEoC"
Content-Disposition: inline
In-Reply-To: <87zi4uvi88.fsf@HIDDEN>
User-Agent: Mutt/1.9.3 (2018-01-21)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30299
Cc: 30299 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


--wRRV7LY7NUeQGEoC
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Jan 30, 2018 at 10:07:35PM -0500, Mark H Weaver wrote:
> On core-updates, Hydra has been unable to successfully build 'shepherd'
> on any system except x86_64-linux.  I can also report that on my
> mips64el-linux GuixSD system, which is running something close to
> 'core-updates', I had to disable tests on shepherd in order to build it.
> I don't know about aarch64-linux.
>=20
> These are the tests that commonly fail:
>=20
>   FAIL: tests/respawn.sh
>   FAIL: tests/respawn-throttling.sh
>   FAIL: tests/basic.sh
>=20
>       Mark

Shepherd built successfully on aarch64-linux, and again with '--check'.

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--wRRV7LY7NUeQGEoC
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAlp2EzsACgkQQarn3Mo9
g1EFDw//dPvmfRCZhp+NaM0W7i6EcM0umVQKANQNW4ATawK9Ayaf6Ni2hmlhIWtU
AS1raLs3k3buG5ctQJ7+XrdtkNlOQV1Wlt4aNa9/0Wfgk7vnZNdhDLMmMqUpih0L
xBeCxb8ZBsdeCBHwfUXdT7IOrMFsQaWBNKXjqsP4LntzxOWagitZxF6Afk+1Q9gu
jIxIW4k3GasyPnFLf/1ifcCxr0HtH09IRYsYZzD8dY29J65ewGvpWGUlhch+YXt4
+oRjMfRlyoPpzg4wmIqWOmpjWXZBU2cHzZPX1+uikeAkWG35f+kMQiZyNCa/rs4W
Il2/1YFw/R2/FtSgqhCQWUQVIgEVgBM72a9dgGl42b7Q7YmPbuNk8ZdqeGFPBMGj
D8sAJfZ3EAdUOD2Ux7RrElmXELDCfqPn9w1JflntRUfxZdD64UDC6vYoKuc/Et7e
P/2wONiDMGVFJ6OWZU+8U80Jzmi+/7GT1PNp8suZSTXCXZ3dcxrYenw6nDCDnahI
O98NjA5I1/eJhsla0x+sVLphlE8nIYXJGRA6VjcIpwF4Fm3xLq807thKLsMjoMzV
8Oas+Z0BeKzQ+rmDpUrxy7+6WN84xlyQrX/2fzJr+GW/dDtRyQmWE5GxyfhF5Tvn
9ht6okCEeI6lzLwadoLQB5aUlNyXPs+2eN2tsp4Br41MA2jEUA0=
=Kvx2
-----END PGP SIGNATURE-----

--wRRV7LY7NUeQGEoC--




Information forwarded to bug-guix@HIDDEN:
bug#30299; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Jan 2018 03:08:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 30 22:08:27 2018
Received: from localhost ([127.0.0.1]:50069 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1egil7-0002vG-Fu
	for submit <at> debbugs.gnu.org; Tue, 30 Jan 2018 22:08:27 -0500
Received: from eggs.gnu.org ([208.118.235.92]:35857)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1egil5-0002v2-2e
 for submit <at> debbugs.gnu.org; Tue, 30 Jan 2018 22:08:23 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1egikz-0006UF-0k
 for submit <at> debbugs.gnu.org; Tue, 30 Jan 2018 22:08:17 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:33073)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mhw@HIDDEN>) id 1egiky-0006U9-TT
 for submit <at> debbugs.gnu.org; Tue, 30 Jan 2018 22:08:16 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55054)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1egikx-0003Vk-UW
 for bug-guix@HIDDEN; Tue, 30 Jan 2018 22:08:16 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1egiku-0006Rf-Lb
 for bug-guix@HIDDEN; Tue, 30 Jan 2018 22:08:15 -0500
Received: from world.peace.net ([50.252.239.5]:59386)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mhw@HIDDEN>) id 1egiku-0006Qb-GI
 for bug-guix@HIDDEN; Tue, 30 Jan 2018 22:08:12 -0500
Received: from pool-72-93-27-251.bstnma.east.verizon.net ([72.93.27.251]
 helo=jojen)
 by world.peace.net with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <mhw@HIDDEN>)
 id 1egikt-0001GP-2k; Tue, 30 Jan 2018 22:08:11 -0500
From: Mark H Weaver <mhw@HIDDEN>
To: bug-guix@HIDDEN
Subject: [core-updates] shepherd fails tests on all systems except x86_64
Date: Tue, 30 Jan 2018 22:07:35 -0500
Message-ID: <87zi4uvi88.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

On core-updates, Hydra has been unable to successfully build 'shepherd'
on any system except x86_64-linux.  I can also report that on my
mips64el-linux GuixSD system, which is running something close to
'core-updates', I had to disable tests on shepherd in order to build it.
I don't know about aarch64-linux.

These are the tests that commonly fail:

  FAIL: tests/respawn.sh
  FAIL: tests/respawn-throttling.sh
  FAIL: tests/basic.sh

      Mark




Acknowledgement sent to Mark H Weaver <mhw@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#30299; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 24 Feb 2018 23:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.